Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.data
Interface MLComplexData

All Superinterfaces:
  CentroidFactory<MLData>, Cloneable, MLData

All Known Implementing Classes:
  BasicMLComplexData

    public interface MLComplexData

extends MLData

This class implements a data object that can hold complex numbers. It implements the interface MLData, so it can be used with nearly any Encog machine learning method. However, not all Encog machine learning methods are designed to work with complex numbers. A Encog machine learning method that does not support complex numbers will only be dealing with the real-number portion of the complex number.

Method Summary
`void` | `add(int index, ComplexNumber value)` Add a complex number to the specified index.
`ComplexNumber[]` | `getComplexData()`
`ComplexNumber` | `getComplexData(int index)` Get the complex data at the specified index.
`void` | `setData(ComplexNumber[] theData)`
`void` | `setData(int index, ComplexNumber d)` Set a data element to a complex number.

Methods inherited from interface org.encog.ml.data.MLData
`add, clear, clone, getData, getData, setData, setData, size`

Methods inherited from interface org.encog.util.kmeans.CentroidFactory
`createCentroid`

Method Detail

### add

    void add(int index,
             ComplexNumber value)

  Add a complex number to the specified index.

  Parameters:
    `index` - The index to use.
    `value` - The complex number value to add.

### getComplexData

    ComplexNumber[] getComplexData()

  Returns:
    The complex numbers.

### getComplexData

    ComplexNumber getComplexData(int index)

  Get the complex data at the specified index.

  Parameters:
    `index` - The index to get the complex data at.
  Returns:
    The complex data.

### setData

    void setData(ComplexNumber[] theData)

  Parameters:
    `theData` - Set the complex data array.

### setData

    void setData(int index,
                 ComplexNumber d)

  Set a data element to a complex number.

  Parameters:
    `index` - The index to set.
    `d` - The complex number.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.